Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class SshMsgChannelOpenFailure

    java.lang.Object
      com.sshtools.j2ssh.transport.SshMessage
          com.sshtools.j2ssh.connection.SshMsgChannelOpenFailure

public class SshMsgChannelOpenFailure
extends SshMessage

DOCUMENT ME!

Field Summary
`protected static int` | `SSH_MSG_CHANNEL_OPEN_FAILURE` DOCUMENT ME!
`protected static long` | `SSH_OPEN_ADMINISTRATIVELY_PROHIBITED` DOCUMENT ME!
`protected static long` | `SSH_OPEN_CONNECT_FAILED` DOCUMENT ME!
`protected static long` | `SSH_OPEN_RESOURCE_SHORTAGE` DOCUMENT ME!
`protected static long` | `SSH_OPEN_UNKNOWN_CHANNEL_TYPE` DOCUMENT ME!

Constructor Summary
`SshMsgChannelOpenFailure()` Creates a new SshMsgChannelOpenFailure object.
`SshMsgChannelOpenFailure(long recipientChannel, long reasonCode, java.lang.String additional, java.lang.String languageTag)` Creates a new SshMsgChannelOpenFailure object.

Method Summary
`protected void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`protected void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`java.lang.String` | `getAdditionalText()` DOCUMENT ME!
`java.lang.String` | `getLanguageTag()` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!
`long` | `getReasonCode()` DOCUMENT ME!
`long` | `getRecipientChannel()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.SshMessage
`fromByteArray, getMessageId, getMessageId, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_MSG_CHANNEL_OPEN_FAILURE

    protected static final int SSH_MSG_CHANNEL_OPEN_FAILURE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_OPEN_ADMINISTRATIVELY_PROHIBITED

    protected static final long SSH_OPEN_ADMINISTRATIVELY_PROHIBITED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_OPEN_CONNECT_FAILED

    protected static final long SSH_OPEN_CONNECT_FAILED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_OPEN_UNKNOWN_CHANNEL_TYPE

    protected static final long SSH_OPEN_UNKNOWN_CHANNEL_TYPE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_OPEN_RESOURCE_SHORTAGE

    protected static final long SSH_OPEN_RESOURCE_SHORTAGE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshMsgChannelOpenFailure

    public SshMsgChannelOpenFailure(long recipientChannel,
                                    long reasonCode,
                                    java.lang.String additional,
                                    java.lang.String languageTag)

  Creates a new SshMsgChannelOpenFailure object.

Parameters:
  `recipientChannel` - DOCUMENT ME!
  `reasonCode` - DOCUMENT ME!
  `additional` - DOCUMENT ME!
  `languageTag` - DOCUMENT ME!

### SshMsgChannelOpenFailure

    public SshMsgChannelOpenFailure()

  Creates a new SshMsgChannelOpenFailure object.

Method Detail

### getAdditionalText

    public java.lang.String getAdditionalText()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLanguageTag

    public java.lang.String getLanguageTag()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SshMessage`
  Returns:
    DOCUMENT ME!

### getReasonCode

    public long getReasonCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRecipientChannel

    public long getRecipientChannel()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructByteArray

    protected void constructByteArray(ByteArrayWriter baw)
                               throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SshMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### constructMessage

    protected void constructMessage(ByteArrayReader bar)
                             throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SshMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD